org.tmatesoft.svn.core

## Class SVNCancelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.tmatesoft.svn.core.SVNException
      - - org.tmatesoft.svn.core.SVNCancelException

All Implemented Interfaces:
  java.io.Serializable

    public class SVNCancelException
    extends SVNException

The SVNCancelException is used to signal about an operation cancel event.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  `SVNException`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SVNCancelException()` Creates a cancel exception.
`SVNCancelException(SVNErrorMessage errorMessage)` Constructs an SVNCancelException given the error message.

### Method Summary

### Methods inherited from class org.tmatesoft.svn.core.SVNException

`getErrorMessage, getMessage, isEnoent`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SVNCancelException

    public SVNCancelException()

Creates a cancel exception.

#### SVNCancelException

    public SVNCancelException(SVNErrorMessage errorMessage)

Constructs an SVNCancelException given the error message.

Parameters:
  `errorMessage` - an error message describing why the operation was cancelled